---
http_interactions:
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 403
      message: Forbidden
    headers:
      Server:
      - openresty
      Date:
      - Tue, 17 Dec 2024 02:30:58 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '78'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4e-vJeBLxgahmv23yP9gdPJW/woako"
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"message":"User access denied - token missing","error":"User not authorized"}'
  recorded_at: Tue, 17 Dec 2024 02:30:59 GMT
- request:
    method: get
    uri: https://login.lescommuns.org/auth/realms/data-food-consortium/.well-known/openid-configuration
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - SWD 2.0.3
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Tue, 17 Dec 2024 02:31:00 GMT
      Content-Type:
      - application/json;charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - AUTH_SESSION_ID=1734402661.235.34393.17495|78230f584c0d7db97d376e98de5321dc;
        Path=/; Secure; HttpOnly
      Cache-Control:
      - no-cache, must-revalidate, no-transform, no-store
      Referrer-Policy:
      - no-referrer
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
    body:
      encoding: ASCII-8BIT
      string: '{"issuer":"https://login.lescommuns.org/auth/realms/data-food-consortium","authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth","token_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token","introspection_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token/introspect","userinfo_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/userinfo","end_session_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/logout","frontchannel_logout_session_supported":true,"frontchannel_logout_supported":true,"jwks_uri":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/certs","check_session_iframe":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/login-status-iframe.html","grant_types_supported":["authorization_code","implicit","refresh_token","password","client_credentials","urn:openid:params:grant-type:ciba","urn:ietf:params:oauth:grant-type:device_code"],"acr_values_supported":["0","1"],"response_types_supported":["code","none","id_token","token","id_token
        token","code id_token","code token","code id_token token"],"subject_types_supported":["public","pairwise"],"id_token_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"id_token_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"id_token_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"userinfo_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512","none"],"userinfo_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"userinfo_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"request_object_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512","none"],"request_object_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"request_object_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"response_modes_supported":["query","fragment","form_post","query.jwt","fragment.jwt","form_post.jwt","jwt"],"registration_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/clients-registrations/openid-connect","token_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"token_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"introspection_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"introspection_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"authorization_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"authorization_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"authorization_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"claims_supported":["aud","sub","iss","auth_time","name","given_name","family_name","preferred_username","email","acr"],"claim_types_supported":["normal"],"claims_parameter_supported":true,"scopes_supported":["openid","microprofile-jwt","phone","roles","profile","email","address","web-origins","acr","offline_access"],"request_parameter_supported":true,"request_uri_parameter_supported":true,"require_request_uri_registration":true,"code_challenge_methods_supported":["plain","S256"],"tls_client_certificate_bound_access_tokens":true,"revocation_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/revoke","revocation_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"revocation_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"backchannel_logout_supported":true,"backchannel_logout_session_supported":true,"device_authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth/device","backchannel_token_delivery_modes_supported":["poll","ping"],"backchannel_authentication_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/ciba/auth","backchannel_authentication_request_signing_alg_values_supported":["PS384","ES384","RS384","ES256","RS256","ES512","PS256","PS512","RS512"],"require_pushed_authorization_requests":false,"pushed_authorization_request_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/par/request","mtls_endpoint_aliases":{"token_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token","revocation_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/revoke","introspection_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token/introspect","device_authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth/device","registration_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/clients-registrations/openid-connect","userinfo_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/userinfo","pushed_authorization_request_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/par/request","backchannel_authentication_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/ciba/auth"},"authorization_response_iss_parameter_supported":true}'
  recorded_at: Tue, 17 Dec 2024 02:31:00 GMT
- request:
    method: post
    uri: https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token
    body:
      encoding: UTF-8
      string: grant_type=refresh_token&refresh_token=<HIDDEN-OPENID_REFRESH_TOKEN>
    headers:
      User-Agent:
      - Rack::OAuth2 (2.2.1)
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      Content-Type:
      - application/x-www-form-urlencoded
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Tue, 17 Dec 2024 02:31:01 GMT
      Content-Type:
      - application/json
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - AUTH_SESSION_ID=1734402662.343.14247.163399|78230f584c0d7db97d376e98de5321dc;
        Path=/; Secure; HttpOnly
      Cache-Control:
      - no-store
      Pragma:
      - no-cache
      Referrer-Policy:
      - no-referrer
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
    body:
      encoding: ASCII-8BIT
      string: '{"access_token":"<HIDDEN-OPENID-TOKEN>","expires_in":1800,"refresh_expires_in":0,"refresh_token":"<HIDDEN-OPENID-TOKEN>","token_type":"Bearer","id_token":"<HIDDEN-OPENID-TOKEN>","not-before-policy":0,"session_state":"11ceafba-f719-463b-b62a-2ae58f972fd5","scope":"openid
        profile email offline_access"}'
  recorded_at: Tue, 17 Dec 2024 02:31:01 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Tue, 17 Dec 2024 02:31:03 GMT
      Content-Type:
      - text/html; charset=utf-8
      Content-Length:
      - '77247'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"12dbf-WGa1/qKLun/Gs/higlLMYF+vY8s"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 102996 characters]
  recorded_at: Tue, 17 Dec 2024 02:31:04 GMT
- request:
    method: post
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders","@type":"dfc-b:Order","dfc-b:belongsTo":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SalesSession/#","dfc-b:hasPart":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/1","dfc-b:orderedBy":"http://test.host/api/dfc/enterprises/1003","dfc-b:hasOrderStatus":"dfc-v:Held"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/1","@type":"dfc-b:OrderLine","dfc-b:quantity":3,"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259/Offer"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259/Offer","@type":"dfc-b:Offer","dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"6.25","dfc-b:VATrate":"0","dfc-b:hasUnit":"dfc-m:PoundSterling"},"dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259","@type":"dfc-b:SuppliedProduct","dfc-b:name":"Apple
        Balsamic Vinegar - Retail bottle, 40ml","dfc-b:description":"<table width=\"100%\">\n<tbody>\n<tr
        style=\"border: 0px;\" data-mce-style=\"border: 0px;\">\n<td bgcolor=\"#d6fbed\"
        style=\"color: #000000; border: 0px; width: 526px;\" data-mce-style=\"color:
        #000000; border: 0px; width: 526px;\"><b>This rich, intense and deeply flavoured
        6-year old apple balsamic vinegar is made using the traditional Italian method
        of reduction and concentration of the juice over a lengthy period of time,
        rather than by adding flavouring and colouring. </b></td>\n</tr>\n</tbody>\n</table>\n<p>Liberty
        Fields produce small batches of superb syrup, balsamic vinegar, cider and
        vodka by hand from the fruit of their own Dorset apple orchards, planted from
        2010.<br></p>\n<p>The balsamic vinegar is aged for 6 years in barrels. The
        only ingredient is apples.</p>\n<h5 class=\"product-detail-title\">How to
        use</h5>\n<p>Use like Italian balsamic vinegar. <span data-mce-fragment=\"1\">As
        well as using on salads, it’s a great partner for grilled meats or charcuterie;
        a drop brings out the taste of strawberries and other soft fruits; and it
        can really enhance a stew, sauce or a soup. </span></p>\n<h5 class=\"product-detail-title\">To
        store<br>\n</h5>\n<p>For best before date see pack. Store in a cool, dry place.<br></p>\n<h5
        class=\"product-detail-title\">Ingredients</h5>\n<p>Apples<br></p>\n<h5 class=\"product-detail-title\">Allergy
        information</h5>\n<p>No allergens.</p><h5 class=\"product-detail-title\">More</h5>\n<p>Product
        of Dorset<br>Suitable for vegans and vegetarians<br></p>","dfc-b:hasQuantity":{"@type":"dfc-b:QuantitativeValue","dfc-b:hasUnit":"dfc-m:Kilogram","dfc-b:value":"0.04"},"dfc-b:referencedBy":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259/CatalogItem","dfc-b:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Liberty-Fields-Apple-Balsamic-Vinegar-40ml_79617eea-ab8c-4070-9e4d-711bf030ad07.jpg?v=1677760772","ofn:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Liberty-Fields-Apple-Balsamic-Vinegar-40ml_79617eea-ab8c-4070-9e4d-711bf030ad07.jpg?v=1677760772"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SalesSession/#","@type":"dfc-b:SaleSession","dfc-b:beginDate":"Mon
        Dec 16 2024 02:30:56 UTC","dfc-b:endDate":"Tue Dec 24 2024 02:30:56 UTC"}]}'
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Tue, 17 Dec 2024 02:31:07 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '1270'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4f6-9SK9HEdiY5hs7vYuN3RF4+cxk1w"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b302220","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"6.25"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107","@type":"dfc-b:Order","dfc-b:hasOrderStatus":{"@id":"dfc-v:Held"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259"},"dfc-b:hasPrice":{"@id":"_:b302220"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Tue, 17 Dec 2024 02:31:07 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Tue, 17 Dec 2024 02:31:19 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '1270'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4f6-/NzFtp1u5XKAhJQa5z9qlxCR8I8"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b302221","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"6.25"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107","@type":"dfc-b:Order","dfc-b:hasOrderStatus":{"@id":"dfc-v:Held"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259"},"dfc-b:hasPrice":{"@id":"_:b302221"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Tue, 17 Dec 2024 02:31:19 GMT
- request:
    method: put
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107","@type":"dfc-b:Order","dfc-b:hasPart":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460","dfc-b:hasOrderStatus":"dfc-v:Complete"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460","@type":"dfc-b:OrderLine","dfc-b:quantity":"3","dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"6.25","dfc-b:hasUnit":"dfc-m:PoundSterling"},"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259","@type":"dfc-b:Offer","dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259","@type":"dfc-b:SuppliedProduct"}]}'
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Tue, 17 Dec 2024 02:31:25 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '1330'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"532-9leq6y2MehCZVdgoyKd1LqDKDEM"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b302222","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"6.25"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259"},"dfc-b:hasPrice":{"@id":"_:b302222"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Tue, 17 Dec 2024 02:31:25 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Tue, 17 Dec 2024 02:31:27 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '1330'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"532-8OiWlLTK/S2miUxT6pS+w0zRKzI"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b302223","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"6.25"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1188908237107/orderLines/460","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466238259"},"dfc-b:hasPrice":{"@id":"_:b302223"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466238259","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Tue, 17 Dec 2024 02:31:27 GMT
recorded_with: VCR 6.2.0
